From: Dermot Bradley <dermot_bradley@yahoo.com>
Date: Wed, 12 May 2021 00:14 +0100
Subject: [PATCH] cloud-init: Disable some modules not relevant to Alpine

Disable some cloud-init modules that are not (currently) relevant
to Alpine and which have been removed from the Alpine package.

---

diff -aur a/config/cloud.cfg.tmpl b/config/cloud.cfg.tmpl
--- a/config/cloud.cfg.tmpl
+++ b/config/cloud.cfg.tmpl
@@ -125,7 +125,9 @@
  - ubuntu_autoinstall
 {% endif %}
 {% if variant not in ["photon"] %}
+{% if variant not in ["alpine"] %}
  - ssh-import-id
+{% endif %}
 {% if not is_rhel %}
  - keyboard
 {% endif %}
@@ -180,7 +182,9 @@
  - ansible
  - mcollective
  - salt-minion
+{% if variant not in ["alpine"] %}
  - reset_rmc
+{% endif %}
  - rightscale_userdata
  - scripts-vendor
  - scripts-per-once
